# 文件存储配置
oss:
  # OSS 类型 (目前支持aliyun、minio)
  type: minio
  # MinIO 对象存储服务
  minio:
    # 服务Endpoint
    endpoint: http://192.168.35.214:9000
    # 访问凭据
    access-key: minioadmin
    # 凭据密钥
    secret-key: minioadmin
    # 存储桶名称
    bucket-name: public
    # (可选)自定义域名，如果配置了域名，生成的文件URL是域名格式，未配置则URL则是IP格式 (eg: https://oss.youlai.tech)
    custom-domain:

# 数据源配置
spring:
  datasource:
    hikari:
      minimum-idle: 5 #最小空闲连接数量
      idle-timeout: 30000 #空闲连接存活最大时间，默认600000（10分钟）
      maximum-pool-size: 10 #连接池最大连接数，默认是10
      auto-commit: true  #此属性控制从池返回的连接的默认自动提交行为,默认值：true
      max-lifetime: 30000 #此属性控制池中连接的最长生命周期，值0表示无限生命周期，默认1800000即30分钟
      connection-timeout: 30000 #数据库连接超时时间,默认30秒，即30000
      connection-test-query: SELECT 1
    dynamic:
      primary: mysql
      datasource:
        mysql:
          driver-class-name: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://192.168.35.214:3306/seacon_ship_vessel?useUnicode=true&characterEncoding=utf-8&zeroDateTimeBehavior=convertToNull&useSSL=true&serverTimezone=GMT%2B8
          username: root
          password: root
  data:
    mongodb:
      uri: mongodb://admin:123456@192.168.35.214:27017/seacon_ship?authSource=admin
  redis:
    database: 4
    host: 192.168.35.214
    port: 6379
    password:
    timeout: 6000ms       # 连接超时时长（毫秒）
    clusterMode: false
    lettuce:
      pool:
        max-active: 1000  # 连接池最大连接数（使用负值表示没有限制）
        max-wait: -1ms    # 连接池最大阻塞等待时间（使用负值表示没有限制）
        max-idle: 10      # 连接池中的最大空闲连接
        min-idle: 5       # 连接池中的最小空闲连接

#mqtt属性配置
mqtt:
  #阿里云emqt
  hostUrl: tcp://u9a19b0c.ala.dedicated.huawei.emqxcloud.cn:1883
  username: ship1
  password: Seacon@2025
  client-id: MQTT-CLIENT-SHIP-${ship.code}
  cleanStart: true
  #配置为永不过期
  sessionExpiryInterval: 4294967295
  reconnect: true
  timeout: 600
  keepAlive: 600
  isOpen: true
  qos: 1
  preSecret: 93a63cf1cc5a0b1b598c7c599d485ec7
  majorDomainId: 223
  subDomainId: 1049
  deviceId: 001497515db4
  #安全模式，可选值有1（TCP直连模式）。
  secureMode: 1
  #签名算法类型。可选值有1（hmacmd5）、2（hmacsha1）和3（hmacsha256）默认为hmacmd5。
  signMethod: 2
  default-topic:
    - fromBase/${ship.code}/#
    - fromBase/to-all-ship/#
    - $file/${ship.code}/#
  topic:
    prefix: fromShip/
    dftCode: update-dft-code
    file-receive: file-trans
    #managed-file: fromShip/managed-file/${ship.code}
    managed-file: managed-file
    managed-file-pic: managed-file-pic
    data-trans: data-trans
    ping: ping
  if-subscribe: true

ship:
  code: 2523
  segment-size: 100
  name: SEACON LIVERPOOL
  name-en: SEACON LIVERPOOL
  imo: 1038781
  short-name: SEACON LIVERPOOL
  type: 1

office:
  secret: mVlbJJcEuREJ42U8UlfEPuiTB1tXM3IN
  expire: 240 # 分钟
  # 本机地址，需要注意【这个ip需要与[api]中的ip能ping通】
  ip: http://192.168.35.214:8612/internal/office
  # 交互地址
  callbackUrl: /callback?filePath=
  #  lang: zh
  lang: en
  # 可查看类型
  viewedDocs: [.pdf,.djvu,.xps,.oxps]
  #  可编辑类型
  editedDocs: [.docx,.xlsx,.csv,.pptx,.txt,.docxf]
  # 可类型转换类型
  convertDocs: [.docm,.dotx,.dotm,.dot,.doc,.odt,.fodt,.ott,.xlsm,.xlsb,.xltx,.xltm,.xlt,.xls,.ods,.fods,.ots,.pptm,.ppt,.ppsx,.ppsm,.pps,.potx,.potm,.pot,.odp,.fodp,.otp,.rtf,.mht,.html,.htm,.xml,.epub,.fb2]

image:
  upload:
    # 图片上传内存限制大小（MB）
    memory-limit: 100

